#!/bin/sh

# Simple script to create a B tarball

revision=`svn export https://svn.theveniceproject.com/repos/venice/code/client/trunk/mozilla/tvp/tvprdf/b b-export | grep 'Exported revision' | sed 's/Exported revision //' | sed 's/\.//'`
mv b-export libb-$revision
mkdir libb-$revision/redland-integration
svn cat https://svn.theveniceproject.com/repos/venice/code/client/trunk/mozilla/tvp/tvprdf/redland/librdf/rdf_storage_b.c > libb-$revision/redland-integration/rdf_storage_b.c
cat > libb-$revision/redland-integration/README.txt <<END
B store can be used as a backend for redland (http://librdf.org/).

The file rdf_storage_b.c contains most of the code needed for this;
in addition, there's some changes to make to the build system, for
which a patch will be forthcoming.

END
tar czf libb-$revision.tar.gz libb-$revision
rm -Rf libb-$revision
echo libb-$revision.tar.gz